import java.util.*;
import kmity.AnharmonickeKmity;
public class MainClass {
  public static void main(String[] args)
  {
    if (args.length != 8)
    {
      System.out.println("Navod: java -jar kmity.jar x0 v0 t dt alfa beta k m");
      return;
    }
    AnharmonickeKmity ak = new AnharmonickeKmity(
      /* x0    */ Double.valueOf(args[0]).doubleValue(),
      /* v0    */ Double.valueOf(args[1]).doubleValue(),
      /* t0    */ 0,
      /* alpha */ Double.valueOf(args[4]).doubleValue(),
      /* beta  */ Double.valueOf(args[5]).doubleValue(),
      /* k     */ Double.valueOf(args[6]).doubleValue(),
      /* m     */ Double.valueOf(args[7]).doubleValue());
    double x, v, a, t = Double.valueOf(args[2]).doubleValue(),
      dt = Double.valueOf(args[3]).doubleValue();
    for (; ak.T() < t; )
    {
      System.out.println(ak.T() + " " + ak.X());
      ak.Iteruj(dt);
    }
  }
}
