import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Color;
import kmity.AnharmonickeKmity;

public class Kmity_Aplet extends Applet{
  private double x0, v0, t0, t_max, d_t, alpha, beta, k, m;

  public void setparameters(double _x0, double _v0, double _t0, double _t_max,
    double _d_t, double _alpha, double _beta, double _k, double _m)
  {
    x0=_x0;v0=_v0;t0=_t0;t_max=_t_max;d_t=_d_t;alpha=_alpha;beta=_beta;k=_k;m=_m;
  }

  public void init() {
    System.out.println("init...");
    setparameters(Double.valueOf(getParameter("x0")).doubleValue(),
                  Double.valueOf(getParameter("v0")).doubleValue(),
                  Double.valueOf(getParameter("t0")).doubleValue(),
                  Double.valueOf(getParameter("t")).doubleValue(),
                  Double.valueOf(getParameter("dt")).doubleValue(),
                  Double.valueOf(getParameter("alpha")).doubleValue(),
                  Double.valueOf(getParameter("beta")).doubleValue(),
                  Double.valueOf(getParameter("k")).doubleValue(),
                  Double.valueOf(getParameter("m")).doubleValue());
  }
  public void start() {
    System.out.println("starting...");
  }
  public void stop() {
    System.out.println("stopping...");
  }
  public void destroy() {
    System.out.println("preparing to unload...");
  }
  public void paint(Graphics g){
    System.out.println("Paint");
    setBackground(Color.white);
    g.setColor(Color.black);
	
    double t;
    double min = 0, max = 0;
    AnharmonickeKmity ak;
    ak = new AnharmonickeKmity(x0, v0, t0, alpha, beta, k, m);
    for (t = t0; t <= t_max;)
    {
      ak.Iteruj(d_t);
      t = ak.T();
      if (ak.X() > max) max = ak.X();
      if (ak.X() < min) min = ak.X();
    }
    double xscale = getSize().width / t_max;
    double yscale = getSize().height / (max - min);
    int ycenter = (int) (max * yscale);
    System.out.println("min: " + min + ", max: " + max
      + ", scale: " + yscale + ", center: " + ycenter);
    ak = new AnharmonickeKmity(x0, v0, t0, alpha, beta, k, m);
    int x1, y1, x2 = 0, y2 = (int) (x0 * yscale);
    g.setColor(Color.blue);
    for (t = t0; t <= t_max;)
    {
      ak.Iteruj(d_t);
      t = ak.T();
      x1 = x2;
      y1 = y2;
      x2 = (int) (t * xscale);
      y2 = (int) (ak.X() * yscale);
      g.drawLine(x1, -y1 + ycenter, x2, -y2 + ycenter);
    }
    g.setColor(Color.black);
    g.drawLine(0, ycenter, getSize().width - 1, ycenter);
/*        g.setColor(Color.blue);
        g.drawRect(0, 0,
                   getSize().width -1,
                   getSize().height -1);
        g.setColor(Color.red);
        g.drawString(text, 15, 25);
	g.drawLine(10, 10, 100, 20);*/
  }
}
